// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		481B183D26B1D3F3003D2F68 /* PokemonModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 481B183C26B1D3F3003D2F68 /* PokemonModel.swift */; };
		481B184226B1D509003D2F68 /* Result.swift in Sources */ = {isa = PBXBuildFile; fileRef = 481B184126B1D509003D2F68 /* Result.swift */; };
		481B184D26B1DE07003D2F68 /* DetailVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 481B184C26B1DE07003D2F68 /* DetailVC.swift */; };
		48AEE4F726B24B6600798339 /* APIManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48AEE4F626B24B6600798339 /* APIManager.swift */; };
		48AEE50026B2525300798339 /* AlertManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48AEE4FF26B2525300798339 /* AlertManager.swift */; };
		48AEE50526B2554D00798339 /* Abilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48AEE50426B2554D00798339 /* Abilities.swift */; };
		48AEE50A26B2556E00798339 /* DetailData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48AEE50926B2556E00798339 /* DetailData.swift */; };
		48CA2C9326AF1FC40003950D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48CA2C9226AF1FC40003950D /* AppDelegate.swift */; };
		48CA2C9526AF1FC40003950D /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48CA2C9426AF1FC40003950D /* SceneDelegate.swift */; };
		48CA2C9726AF1FC40003950D /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 48CA2C9626AF1FC40003950D /* ViewController.swift */; };
		48CA2C9C26AF1FC60003950D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 48CA2C9B26AF1FC60003950D /* Assets.xcassets */; };
		48CA2C9F26AF1FC60003950D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 48CA2C9D26AF1FC60003950D /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		48CA2CA626AF1FC60003950D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 48CA2C8726AF1FC40003950D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 48CA2C8E26AF1FC40003950D;
			remoteInfo = PokemonDemo;
		};
		48CA2CB126AF1FC60003950D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 48CA2C8726AF1FC40003950D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 48CA2C8E26AF1FC40003950D;
			remoteInfo = PokemonDemo;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		481B183C26B1D3F3003D2F68 /* PokemonModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PokemonModel.swift; sourceTree = "<group>"; };
		481B184126B1D509003D2F68 /* Result.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Result.swift; sourceTree = "<group>"; };
		481B184C26B1DE07003D2F68 /* DetailVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DetailVC.swift; sourceTree = "<group>"; };
		48AEE4F626B24B6600798339 /* APIManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = APIManager.swift; sourceTree = "<group>"; };
		48AEE4FF26B2525300798339 /* AlertManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlertManager.swift; sourceTree = "<group>"; };
		48AEE50426B2554D00798339 /* Abilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Abilities.swift; sourceTree = "<group>"; };
		48AEE50926B2556E00798339 /* DetailData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DetailData.swift; sourceTree = "<group>"; };
		48CA2C8F26AF1FC40003950D /* PokemonDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PokemonDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		48CA2C9226AF1FC40003950D /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		48CA2C9426AF1FC40003950D /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		48CA2C9626AF1FC40003950D /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		48CA2C9B26AF1FC60003950D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		48CA2C9E26AF1FC60003950D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		48CA2CA026AF1FC60003950D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		48CA2CA526AF1FC60003950D /* PokemonDemoTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = PokemonDemoTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		48CA2CB026AF1FC60003950D /* PokemonDemoUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = PokemonDemoUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		48CA2C8C26AF1FC40003950D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CA226AF1FC60003950D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CAD26AF1FC60003950D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		481B185A26B1DED6003D2F68 /* Model */ = {
			isa = PBXGroup;
			children = (
				481B183C26B1D3F3003D2F68 /* PokemonModel.swift */,
				481B184126B1D509003D2F68 /* Result.swift */,
				48AEE50926B2556E00798339 /* DetailData.swift */,
				48AEE50426B2554D00798339 /* Abilities.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		481B185B26B1DEE1003D2F68 /* View controllers */ = {
			isa = PBXGroup;
			children = (
				48CA2C9626AF1FC40003950D /* ViewController.swift */,
				481B184C26B1DE07003D2F68 /* DetailVC.swift */,
			);
			path = "View controllers";
			sourceTree = "<group>";
		};
		48AEE4F526B24B4800798339 /* APIManager */ = {
			isa = PBXGroup;
			children = (
				48AEE4F626B24B6600798339 /* APIManager.swift */,
			);
			path = APIManager;
			sourceTree = "<group>";
		};
		48AEE4FE26B2524600798339 /* Utils */ = {
			isa = PBXGroup;
			children = (
				48AEE4FF26B2525300798339 /* AlertManager.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		48CA2C8626AF1FC40003950D = {
			isa = PBXGroup;
			children = (
				48CA2C9126AF1FC40003950D /* PokemonDemo */,
				48CA2C9026AF1FC40003950D /* Products */,
			);
			sourceTree = "<group>";
		};
		48CA2C9026AF1FC40003950D /* Products */ = {
			isa = PBXGroup;
			children = (
				48CA2C8F26AF1FC40003950D /* PokemonDemo.app */,
				48CA2CA526AF1FC60003950D /* PokemonDemoTests.xctest */,
				48CA2CB026AF1FC60003950D /* PokemonDemoUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		48CA2C9126AF1FC40003950D /* PokemonDemo */ = {
			isa = PBXGroup;
			children = (
				48CA2C9226AF1FC40003950D /* AppDelegate.swift */,
				48CA2C9426AF1FC40003950D /* SceneDelegate.swift */,
				48AEE4FE26B2524600798339 /* Utils */,
				48AEE4F526B24B4800798339 /* APIManager */,
				481B185B26B1DEE1003D2F68 /* View controllers */,
				481B185A26B1DED6003D2F68 /* Model */,
				48CA2C9B26AF1FC60003950D /* Assets.xcassets */,
				48CA2C9D26AF1FC60003950D /* LaunchScreen.storyboard */,
				48CA2CA026AF1FC60003950D /* Info.plist */,
			);
			path = PokemonDemo;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		48CA2C8E26AF1FC40003950D /* PokemonDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 48CA2CB926AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemo" */;
			buildPhases = (
				48CA2C8B26AF1FC40003950D /* Sources */,
				48CA2C8C26AF1FC40003950D /* Frameworks */,
				48CA2C8D26AF1FC40003950D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = PokemonDemo;
			productName = PokemonDemo;
			productReference = 48CA2C8F26AF1FC40003950D /* PokemonDemo.app */;
			productType = "com.apple.product-type.application";
		};
		48CA2CA426AF1FC60003950D /* PokemonDemoTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 48CA2CBC26AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemoTests" */;
			buildPhases = (
				48CA2CA126AF1FC60003950D /* Sources */,
				48CA2CA226AF1FC60003950D /* Frameworks */,
				48CA2CA326AF1FC60003950D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				48CA2CA726AF1FC60003950D /* PBXTargetDependency */,
			);
			name = PokemonDemoTests;
			productName = PokemonDemoTests;
			productReference = 48CA2CA526AF1FC60003950D /* PokemonDemoTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		48CA2CAF26AF1FC60003950D /* PokemonDemoUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 48CA2CBF26AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemoUITests" */;
			buildPhases = (
				48CA2CAC26AF1FC60003950D /* Sources */,
				48CA2CAD26AF1FC60003950D /* Frameworks */,
				48CA2CAE26AF1FC60003950D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				48CA2CB226AF1FC60003950D /* PBXTargetDependency */,
			);
			name = PokemonDemoUITests;
			productName = PokemonDemoUITests;
			productReference = 48CA2CB026AF1FC60003950D /* PokemonDemoUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		48CA2C8726AF1FC40003950D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1200;
				LastUpgradeCheck = 1200;
				TargetAttributes = {
					48CA2C8E26AF1FC40003950D = {
						CreatedOnToolsVersion = 12.0;
					};
					48CA2CA426AF1FC60003950D = {
						CreatedOnToolsVersion = 12.0;
						TestTargetID = 48CA2C8E26AF1FC40003950D;
					};
					48CA2CAF26AF1FC60003950D = {
						CreatedOnToolsVersion = 12.0;
						TestTargetID = 48CA2C8E26AF1FC40003950D;
					};
				};
			};
			buildConfigurationList = 48CA2C8A26AF1FC40003950D /* Build configuration list for PBXProject "PokemonDemo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 48CA2C8626AF1FC40003950D;
			productRefGroup = 48CA2C9026AF1FC40003950D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				48CA2C8E26AF1FC40003950D /* PokemonDemo */,
				48CA2CA426AF1FC60003950D /* PokemonDemoTests */,
				48CA2CAF26AF1FC60003950D /* PokemonDemoUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		48CA2C8D26AF1FC40003950D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				48CA2C9F26AF1FC60003950D /* LaunchScreen.storyboard in Resources */,
				48CA2C9C26AF1FC60003950D /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CA326AF1FC60003950D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CAE26AF1FC60003950D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		48CA2C8B26AF1FC40003950D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				48AEE50026B2525300798339 /* AlertManager.swift in Sources */,
				48CA2C9726AF1FC40003950D /* ViewController.swift in Sources */,
				48AEE50A26B2556E00798339 /* DetailData.swift in Sources */,
				48CA2C9326AF1FC40003950D /* AppDelegate.swift in Sources */,
				481B184D26B1DE07003D2F68 /* DetailVC.swift in Sources */,
				481B183D26B1D3F3003D2F68 /* PokemonModel.swift in Sources */,
				481B184226B1D509003D2F68 /* Result.swift in Sources */,
				48CA2C9526AF1FC40003950D /* SceneDelegate.swift in Sources */,
				48AEE4F726B24B6600798339 /* APIManager.swift in Sources */,
				48AEE50526B2554D00798339 /* Abilities.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CA126AF1FC60003950D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		48CA2CAC26AF1FC60003950D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		48CA2CA726AF1FC60003950D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 48CA2C8E26AF1FC40003950D /* PokemonDemo */;
			targetProxy = 48CA2CA626AF1FC60003950D /* PBXContainerItemProxy */;
		};
		48CA2CB226AF1FC60003950D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 48CA2C8E26AF1FC40003950D /* PokemonDemo */;
			targetProxy = 48CA2CB126AF1FC60003950D /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		48CA2C9D26AF1FC60003950D /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				48CA2C9E26AF1FC60003950D /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		48CA2CB726AF1FC60003950D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		48CA2CB826AF1FC60003950D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		48CA2CBA26AF1FC60003950D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = PokemonDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		48CA2CBB26AF1FC60003950D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = PokemonDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		48CA2CBD26AF1FC60003950D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = PokemonDemoTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo.PokemonDemoTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/PokemonDemo.app/PokemonDemo";
			};
			name = Debug;
		};
		48CA2CBE26AF1FC60003950D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = PokemonDemoTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo.PokemonDemoTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/PokemonDemo.app/PokemonDemo";
			};
			name = Release;
		};
		48CA2CC026AF1FC60003950D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = PokemonDemoUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo.PokemonDemoUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = PokemonDemo;
			};
			name = Debug;
		};
		48CA2CC126AF1FC60003950D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = PokemonDemoUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.pokemon.demo.PokemonDemoUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = PokemonDemo;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		48CA2C8A26AF1FC40003950D /* Build configuration list for PBXProject "PokemonDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				48CA2CB726AF1FC60003950D /* Debug */,
				48CA2CB826AF1FC60003950D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		48CA2CB926AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				48CA2CBA26AF1FC60003950D /* Debug */,
				48CA2CBB26AF1FC60003950D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		48CA2CBC26AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemoTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				48CA2CBD26AF1FC60003950D /* Debug */,
				48CA2CBE26AF1FC60003950D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		48CA2CBF26AF1FC60003950D /* Build configuration list for PBXNativeTarget "PokemonDemoUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				48CA2CC026AF1FC60003950D /* Debug */,
				48CA2CC126AF1FC60003950D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 48CA2C8726AF1FC40003950D /* Project object */;
}
